import { ExtraOptions } from '@angular/router';
import * as i0 from "@angular/core";
export declare class BsScrollOffsetService {
    private routerConfig;
    constructor(routerConfig: ExtraOptions);
    getScrollOffset(): [number, number];
    static ɵfac: i0.ɵɵFactoryDeclaration<BsScrollOffsetService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BsScrollOffsetService>;
}
